# Video Creatives

To work with the MediaMath API with Video Creatives, first generate an [authentication token](/guides/authentication).

For more information on Video Creatives, please see the [Video/VPAID Specification](https://support.infillion.com/article/s/article/Video-Creative-Format-Specs) and [The MediaMath Platform Video/Audio tab](https://support.infillion.com/article/s/article/Video-Audio-Tab).

*Example HTTPie command to list all video creatives.*
`http GET https://api.mediamath.com/api/v3.0/atomic_creatives?q==media_type==video`

## Migration Notice

The following Video V2.0 endpoints have been removed and replaced by V3.0 equivalents:

| Removed V2.0 Endpoint | Use Instead |
|---|---|
| `GET /api/v2.0/atomic_creatives` | `POST /video/v3.0/creatives/list` |
| `GET /api/v2.0/atomic_creatives/{atomic_creative_id}` | `GET /video/v3.0/creatives/{creativeId}` |
| `POST /video/v2.0/creatives` | `POST /video/v3.0/creatives` |
| `GET /video/v2.0/creatives/{video_id}` | `GET /video/v3.0/creatives/{creativeId}` |
| `POST /video/v2.0/creatives/{video_id}` | `POST /video/v3.0/creatives/{creativeId}` or `PATCH /video/v3.0/creatives/{creativeId}` |

See the **Video Creative Management (V3)** section below for the V3.0 API.

Version: v1.0
License: Apache 2.0

## Servers

```
https://api.mediamath.com
```

## Security

### OAuth2

Type: oauth2
Token URL: https://auth.mediamath.com
Scopes:

## Download OpenAPI description

[Video Creatives](https://apidocs.mediamath.com/_bundle/apis/video-creatives.yaml)

## Video Creative Management (V2)

V2.0 video creative endpoints (legacy)

### Get Video Creative Companions

 - [GET /video/v2.0/creatives/{video_id}/companions](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-companions.md): Get Video Creative Companions

### Create Video Creative Companions

 - [POST /video/v2.0/creatives/{video_id}/companions](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/post_video-v2-0-creatives-video_id-companions.md): Create Video Creative Companions

### Upload Video Creative

 - [POST /video/v2.0/creatives/{video_id}/upload](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/post_video-v2-0-creatives-video_id-upload.md): Upload Video Creative

### Get Video Creative Variants

 - [GET /video/v2.0/creatives/{video_id}/variants](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-variants.md): Get all encoded video variants for the creative, including asset path and video info.

### Get Video Creative Variant

 - [GET /video/v2.0/creatives/{video_id}/variants/{variant_id}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-variants-variant_id.md): Get Video Creative Variant

### Get Video Creative Status

 - [GET /video/v2.0/creatives/{video_id}/status](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-status.md): Includes upload status, encoding info, encoding percent.

### Delete Video Creative Companion

 - [GET /video/v2.0/creatives/{video_id}/companions/{companion_id}/delete](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get_video-v2-0-creatives-video_id-companions-companion_id-delete.md): Delete companion ad for the specified creative.

### Validate VAST XML

 - [POST /video/v2.0/creatives/validateVAST](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/post_video-v2-0-creatives-validatevast.md): Validates the provided VAST XML content and returns any errors or warnings.

### Get Video creative VAST XML

 - [GET /video/v2.0/creatives/{video_id}/vast](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/get-video-creative-vast-xml.md): This get endpoint returns an XML of video creative instead of a JSON

### Update creative VAST with Extension node

 - [POST /video/v2.0/creatives/{video_id}/vast/extension](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v2)/update-creative-vast-with-extension-node.md): Add extension XML to the creative's VAST template.

## Video Creative Management (V3)

V3.0 video creative management endpoints

### Bulk create video creatives

 - [PUT /video/v3.0/creatives/bulk](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/put_video-v3-0-creatives-bulk.md): Create a set of video creatives (bulk upload) - V3

### Bulk update video creatives

 - [PATCH /video/v3.0/creatives/bulk](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/patch_video-v3-0-creatives-bulk.md): Update a set of video creatives (bulk update) - V3

### Create a new video creative

 - [POST /video/v3.0/creatives](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_video-v3-0-creatives.md): Create a new video creative - V3

### Bulk get creatives by IDs

 - [POST /video/v3.0/creatives/list](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_video-v3-0-creatives-list.md): Retrieve multiple video creatives by their IDs

### Get creative details

 - [GET /video/v3.0/creatives/{creativeId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/get_video-v3-0-creatives-creativeid.md): Get status/details for the video creative - V3

### Update video creative (full update)

 - [POST /video/v3.0/creatives/{creativeId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/post_video-v3-0-creatives-creativeid.md): Update the video creative - must post all data, any omitted fields will be removed

### Update video creative (partial update)

 - [PATCH /video/v3.0/creatives/{creativeId}](https://apidocs.mediamath.com/apis/video-creatives/video-creative-management-(v3)/patch_video-v3-0-creatives-creativeid.md): Allows partial updates to a video creative - V3

## Classification

Creative classification endpoints

### Get Inflated Classification

 - [GET /classification/v1.0/{creative_id}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification/get_classification-v1-0-creative_id-inflate.md): Get Inflated Classification

### Bulk Inflated Classification

 - [GET /classification/v1.0/bulk/{creative_ids}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification/get_classification-v1-0-bulk-creative_ids-inflate.md): The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

### Bulk Classification

 - [GET /classification/v1.0/bulk/{creative_ids}](https://apidocs.mediamath.com/apis/video-creatives/classification/get_classification-v1-0-bulk-creative_ids.md): The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

### Bulk Update Classification

 - [POST /classification/v1.0/bulk](https://apidocs.mediamath.com/apis/video-creatives/classification/post_classification-v1-0-bulk.md): Prior to creating or updating the classification record of any creative, those creatives must exist.

Unlike in the single creative classifiction, no creative IDs are passed in the url itself.

### Update Classification

 - [POST /classification/v1.0/{creative_id}](https://apidocs.mediamath.com/apis/video-creatives/classification/post_classification-v1-0-creative_id.md): Update Classification

### Get Classification

 - [GET /classification/v1.0/{creative_id}](https://apidocs.mediamath.com/apis/video-creatives/classification/get_classification-v1-0-creative_id.md): Get Classification

## IAB

IAB static data endpoints

### Get IAB Attributes List

 - [GET /static_data/v1.0/iab_attributes](https://apidocs.mediamath.com/apis/video-creatives/iab/get_static_data-v1-0-iab_attributes.md): Get IAB Attributes List

### Get IAB Language

 - [GET /static_data/v1.0/language/{language_id}](https://apidocs.mediamath.com/apis/video-creatives/iab/get_static_data-v1-0-language-language_id.md): Get IAB Language

### List IAB Verticals

 - [GET /static_data/v1.0/iab_verticals](https://apidocs.mediamath.com/apis/video-creatives/iab/get_static_data-v1-0-iab_verticals.md): List IAB Verticals

### Get IAB Vertical

 - [GET /static_data/v1.0/iab_verticals/{vertical_id}](https://apidocs.mediamath.com/apis/video-creatives/iab/get_static_data-v1-0-iab_verticals-vertical_id.md): Get IAB Vertical

### List IAB Languages

 - [GET /static_data/v1.0/language](https://apidocs.mediamath.com/apis/video-creatives/iab/get_static_data-v1-0-language.md): List IAB Languages

### Get IAB Attribute

 - [GET /static_data/v1.0/iab_attributes/{id}](https://apidocs.mediamath.com/apis/video-creatives/iab/get-iab-attribute.md): Get IAB Attribute

